tigase.jaxmpp.j2se

## Class DateTimeFormatProviderImpl

- java.lang.Object
- - tigase.jaxmpp.j2se.DateTimeFormatProviderImpl

- All Implemented Interfaces:
    DateTimeFormat.DateTimeFormatProvider

      public class DateTimeFormatProviderImpl
      extends Object
      implements DateTimeFormat.DateTimeFormatProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeFormatProviderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(Date date)`
    `Date` | `parse(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeFormatProviderImpl

          public DateTimeFormatProviderImpl()

  - ### Method Detail

    - #### format

          public String format(Date date)

      Specified by:
        `format` in interface `DateTimeFormat.DateTimeFormatProvider`

    - #### parse

          public Date parse(String s)

      Specified by:
        `parse` in interface `DateTimeFormat.DateTimeFormatProvider`

Copyright © 2006–2020 Tigase. All rights reserved.